obexftp (0.24-9.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Mon, 05 Feb 2024 18:28:15 +0000

obexftp (0.24-9) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Set ruby paths (Closes: #1022983)

  [ Chris Hofstaedtler ]
  * Takeover obexfs (Closes: #820188)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 20 Dec 2022 02:01:53 +0000

obexftp (0.24-8) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/control: Remove Build-Depends on rpath, as it is unused.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbfb0: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 12:31:56 +0000

obexftp (0.24-7) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Helmut Grohne ]
  * Support build profiles noperl and noruby. (Closes: #1003144)
  * Make obexftp cross build with just noruby:
    + Add missing build dependency on perl-xs-dev.
    + Export a PERL5LIB containing the cross config.

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override.
  * Update to debhelper-compat 13.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 11 Jul 2022 14:45:14 -0700

obexftp (0.24-6) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:51:26 +0500

obexftp (0.24-5) unstable; urgency=medium

  * QA upload.
  * Add missing dependency on librubyX.Y

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 24 Mar 2016 20:45:04 +0000

obexftp (0.24-4) unstable; urgency=medium

  * QA upload.
  * Add patch to revert the change in the bluez module name.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 13:12:53 +0000

obexftp (0.24-3) unstable; urgency=medium

  * QA upload.
  * Swap libobexftp0-dev dependency on libopenobex2-dev to libopenobex1-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 11:56:10 +0000

obexftp (0.24-2) unstable; urgency=medium

  * QA upload.
  * Swap Build-Dependency on libopenobex1-dev to libopenobex2-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 00:54:34 +0000

obexftp (0.24-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 0.24.  Closes: #769819, #811054
  * debian/control:
    + Set Vcs-* to a collab-maint repository.
    + Bump Standards-Version to 3.9.7, no changes needed.
    + Drop duplicated Section field.
    + Add B-D on cmake, remove B-D on dh-autoreconf.
  * Run wrap-and-sort.
  * debian/patches: drop all of them, obsolete with new upstream version.
  * debian/rules:
    + Rewrite using dh sequencer and semplify it quite some.
    + Enable hardening.
  * debian/*.install: update for multiarch paths and remove static libraries
    not built anymore.
  * debian/copyright: add new upstream copyright holder.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Feb 2016 21:50:47 +0000

obexftp (0.23-6) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * The binary-indep target failed to create libobexftp-ruby which
    was architecture-independent. However, this package was dummy
    and a stable release has already happened. Drop it completely.
  * debian/rules: Drop some useless/unused/unnecessary stuff.

 -- Santiago Vila <sanvila@debian.org>  Sat, 31 Oct 2015 23:09:00 +0100

obexftp (0.23-5) unstable; urgency=medium

  * QA upload.
  * Build using dpkg-buildflags.
  * Replace obsolete STR2CSTR macro with StringValuePointer.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Sep 2015 22:55:27 +0200

obexftp (0.23-4) unstable; urgency=medium

  * QA upload.
  * Fix "FTBFS: format not a string literal and no format arguments
    [-Werror=format-security]": add patch which adds a format argument.
    (Closes: #757754)
  * Build-depend on and use dh-autoreconf.
    (Closes: #727476)

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 17:28:21 +0200

obexftp (0.23-3) unstable; urgency=medium

  * QA upload.
  * Fix "hardcodes /usr/lib/perl5":
    dynamically set perl library path in debian/rules from $Config{vendorarch}
    (Closes: #752799)
  * Add missing license to debian/copyright.
    (Closes: #750564)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Jul 2014 19:51:27 +0200

obexftp (0.23-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group
  * Prefix installation path (sitearchdir) for the Ruby library with DESTDIR,
    so that ruby2.1 does not try to install in a location relative to /
    (Closes: #747826)
  * Rename libobexftp-ruby to ruby-obexftp, keep a transitional package to
    ease the upgrade process (Closes: #722390)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 30 May 2014 23:19:18 +0200

obexftp (0.23-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with multiarched Ruby interpreters (Closes: #739777)
    - pass vendorarchdir for the path installation of Ruby bindings
    - do not explicitly touch the path of Ruby libraries in debian/rules, as
      the library gets installed at right place in the first place.
    - change path in debian/libobexftp-ruby.install to leave space for the
      architecture name.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 23 Apr 2014 15:09:07 +0200

obexftp (0.23-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616920).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 01 Jun 2013 13:55:54 +0200

obexftp (0.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added patches to fix FTBFS.  Closes: #676084.
    + debian/patches/format.diff
    + debian/patches/rstring.diff

 -- Bart Martens <bartm@debian.org>  Wed, 18 Jul 2012 05:46:10 +0000

obexftp (0.23-1) unstable; urgency=low

  * New upstream release
  * Remove all patches, all were applied equally upstream
  * Rework the descriptions of all packages (closes: #522169)
  * Fix manpage links from obex(rm|ls|get|put) to obexftp (closes: #522302)
  * Put libobexftp-ruby into the right section
  * Fix the way of giving build (and if cross-building host) types to configure
  * Bump standards version to 3.8.3.0: no changes needed
  * Add ruby to Build-Depends

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 03 Oct 2009 10:37:15 +0200

obexftp (0.22-1) unstable; urgency=low

  * New upstream release (closes: #394339, #398068)
  * Remove all old patches, all were applied equally upstream
  * Bump debhelper compatibility to 7
  * Add Homepage source package control field
  * Compile all libs as shared objects and split them into separate packages
    libobexftp0, libmulticobex1 and libbfb0
  * Add python-obexftp package for the Python binding:
      - Change from dh_pysupport to dh_pycentral
      - Remove debian/pycompat, only needed for dh_python
  * Add libobexftp-ruby package for the ruby binding
  * Add libobexftp-perl package for the perl binding
      - Call dh_perl in debian/rules
  * Use dh_installexamples to install the programming examples
  * Bump standards version to 3.8.0 and apply the necessary changes:
      - added debian/README.source to describe how to apply the patches,
      - added Homepage field
  * Add obexls, obexget, obexput and obexrm as symlinks to obexftp binary
  * Add patch sizeof_fixes_SVN217 from upstream that fixes a bug related to
    usage of sizeof()
  * Remove sablotron from build-depends (closes: #493723)
  * Add doxygen to build-depends, needed to build the new API documentation
  * Add swig to build-depends and force rebuilding the pre-built swig files

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 25 Oct 2008 16:28:12 +0200

obexftp (0.19-7) unstable; urgency=low

  * Disable perl binding, it does not get correctly linked to the static libs.
    There are no known users of that binding.
  * debian/control: remove perl and chrpath from build depends
  * Bump version of libopenobex1-dev build dependency to 1.3-3 to get rid of
    the libusb dependency

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Thu, 28 Sep 2006 15:48:54 +0200

obexftp (0.19-6) unstable; urgency=low

  * Add Loic Minier to Uploaders
  * Add watch file
  * debian/rules: add the complete debug output when compiled with deb in
    DEB_BUILD_OPTIONS
  * debian/rules: do not handle strip option manually, dh_strip already
    does this
  * add patch for better handling writing in non-blocking mode of cable-obex
  * add patch with new UUID for memory card access on Sharp mobile phones
  * add patch to fix Siemens cable plain OBEX mode
  * add patch to support Motorola cable obex mode change

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 23 Sep 2006 12:38:49 +0200

obexftp (0.19-5) unstable; urgency=low

  * Remove build dependency on libbluetooth1-dev as we only need to compile with
    bluetooth if libopenobex was compiled with bluetooth and thus
    libopenobex1-dev will already build depend on the proper libbluetooth-dev
    (closes: #376971)
  * Update build dependency of quilt to a fixed version and change rules file
    to make use of that fix
  * Add pkg-config to build dependecies as we are using it and libopenobex1-dev
    (>= 1.3) does not depend on it, anymore

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat,  8 Jul 2006 14:25:44 +0200

obexftp (0.19-4) unstable; urgency=low

  * debian/rules: add --with-pic to to configure flags (closes: #367278)
  * debian/rules: support noopt DEB_BUILD_OPTIONS flag
  * debian/control: change build dependency on quilt to a versioned one
  * use chrpath to delete rpath setting from the PERL binding shared object
    file

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Fri, 19 May 2006 00:29:01 +0200

obexftp (0.19-3) unstable; urgency=low

  * Bump standards version to 3.7.2.0: no changes required
  * Change debhelper mode to v5
  * Clean up debian/rules
  * Use quilt now and do build-time patching, rename patch
    00_get_without_del.patch to get_without_del.patch
  * Add patch help_corrections.patch to fix help output and also update the
    manpage
  * Add patch cli_compat.patch to add compatibility with obexftp versions
    prior to version 0.18. Messages to stderr will inform the user about
    the changed options.
  * Install the obexftpbackup script and its README file as documentation

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 13 May 2006 15:50:57 +0200

obexftp (0.19-2) unstable; urgency=low

  * bugfix: option get delete the source file like option getdelete
    (thanks to Gregor Herrmann)

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sun,  5 Mar 2006 18:43:03 +0100

obexftp (0.19-1) unstable; urgency=low

  * New upstream release
  * Compile against new libopenobex1

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sun,  5 Mar 2006 18:42:50 +0100

obexftp (0.18-1) unstable; urgency=low

  * New upstream release
    - adds perl, python and tcl bindings
    - removes non-working obexftpd
  * Remove all patches
  * Disable python and tcl bindings as those are not compiled correctly, yet
  * Install perl example script as documentation
  * Update the description to include network and usb

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Fri,  3 Feb 2006 12:07:56 +0100

obexftp (0.10.7+0.10.8pre9-3) unstable; urgency=low

  * Remove Conflicts and Replaces for flexmem, it is now a virtual package
    and upgrading from Woody is not supported

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Tue, 15 Nov 2005 20:44:29 +0100

obexftp (0.10.7+0.10.8pre9-2) unstable; urgency=low

  * Add patch 02_obexftp_irda_cable (closes: #336670)

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Tue,  1 Nov 2005 01:03:55 +0100

obexftp (0.10.7+0.10.8pre9-1) unstable; urgency=low

  * Use a upstream beta release (closes: #289181)
  * Change standard version to 3.6.2.0 (no changes needed)
  * Remove all patches (now included upstream or obsoleted by code changes)
  * Add obexftpd options patch (also adjust manpage in debian subdir)
  * Add missing file config.rpath
  * Remove obsolete build-deps
  * Fix lintian errors and warnings:
    - Update FSF address
    - Change standard version to 3.6.2.0 (no changes needed)
    - really build only static libs
  * remove old flexmem.1 man page symlink

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 29 Oct 2005 11:34:52 +0200

obexftp (0.10.7-3) unstable; urgency=medium

  * Security fix: Possible problem with insecure usage of sscanf C function
                  in the obexftp client

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Mon,  4 Apr 2005 12:47:16 +0200

obexftp (0.10.7-2) unstable; urgency=low

  * add obexftp/uuid.h include file
  * stop obexftp/obexftp.h include file from including
      obexftp/client.h and obexftp/uuid.h and fix apps/stress.c
  * update patch for old txt2html
  * add build-depend for automake-1.7

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 12 Mar 2005 17:10:11 +0100

obexftp (0.10.7-1) unstable; urgency=low

  * New upstream "hidden from sourceforge.net" release
  * removing obexftp-0.10.6_versionstring.patch
  * adding obexftp-0.10.6_transportselect.patch as addon for the irda-bt patch

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 26 Feb 2005 11:55:10 +0100

obexftp (0.10.6-4) unstable; urgency=low

  * Fix the misapplied patch from 0.10.6-3, sorry for that (closes: #251252)
  * Remove patch obexftp-0.10.6_doc-examples.patch,
    add obexftp-0.10.6_manpage.patch:
    - update obexftp manpage to actually reflect the options
  * Add obexftpd manpage
  * Add patch obexftp-0.10.6_versionstring.patch:
    - updates printed version strings

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Thu, 13 Jan 2005 00:15:13 +0100

obexftp (0.10.6-3) unstable; urgency=low

  * New Maintainer (closes: #284654)
  * Change standard version to 3.6.1
  * Use debhelper V4 mode
  * Use dh_install instead of dh_movefiles
  * new description for obexftp: obexftp is not Siemens specific
  * small long description correction: obexftp now works with bluetooth
  * Change section of libobexftp-dev from devel to libdevel (closes: #289518)
  * Remove old build-depend of libglib1.2-dev
  * Apply patch obexftp-0.10.6_t610-jpg.patch (closes: #251252)

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Mon, 10 Jan 2005 18:20:02 +0100

obexftp (0.10.6-2) unstable; urgency=low

  * QA Upload
  * Removing old patch file obexftp-0.10.3+4rc3_irda.patch.c from debian subdir
  * Make it possible to use IrDA and bluetooth with the same binary (closes: #285581)
  * Add EXAMPLES section to manpage (closes: #285580)
  * Upstream fixed Ericsson phone detection (closes: #261328)
  * Updated download URL in copyright file
  * Remove all outdated patch in doc subdir:
    - preserve doc/ChangeLog.html (referenced by other html files)
    - remove patch for doc/NEWS.html
    - remove patch doc/README.html
  * do not include TODO file, doc/TODO.html is already included (same content)
  * add build-fix for old txt2html version in Debian
    - will be fixed with txt2html >=2.25
    - does fix empty files in doc/ subdir

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat,  8 Jan 2005 11:30:35 +0100

obexftp (0.10.6-1) unstable; urgency=low

  * Orphaning the package (no time, no interest, going to replace my mobile
    phone soon), set maintainer to the QA group
  * New upstream release (closes: #283022)
  * added sablotron and txt2html to build-deps, required to build the docs
    now. Weird things still happen there.

 -- Eduard Bloch <blade@debian.org>  Tue,  7 Dec 2004 18:54:51 +0100

obexftp (0.10.3+4rc3-2) unstable; urgency=low

  * Conflict with the obsolete libobexftp1 package (closes: #234771, #244140)
  * applied patch with IRDA comport connection fix (closes: #236378)
  * included the original source tarball again

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Jan 2004 22:13:46 +0100

obexftp (0.10.3+4rc3-1) unstable; urgency=low

  * New upstream (pre-)release
  * added libbluetooth1-dev dependency to enable Bluetooth device
    support (closes: #225879)
  * removed static linking workaround because the library is now used by the
    included obexftp applications

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Jan 2004 21:31:19 +0100

obexftp (0.10.3-1) unstable; urgency=low

  * New upstream release (closes: #213432)
  * few workarounds to make it install cleanly
  * s/--kill/--delete/ in flexmem.1 (closes: #213431)

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Sep 2003 20:56:43 +0200

obexftp (0.10.2-1) unstable; urgency=low

  * New upstream release
  * Hopefully fixed all this library mixture problems by linking the program
    with static libs until the ABI is stable, closes: #194677, #178173

 -- Eduard Bloch <blade@debian.org>  Sun, 25 May 2003 20:32:36 +0200

obexftp (0.9.4-pre2-3) unstable; urgency=low

  * New maintainer
  * We do not package development snapshots with official package names.
    Upstream confirmed that the ABI freeze is scheduled for sometimes later.
    lib*0 is a name for <SONAME.0>.MINOR, we cannot provide upwards
    compatibility! Do not create another libgal case. The only way:
    - remove libobexftp0, libobexftp1 for now
    - define flexmem and libobex shared library packages as a failed experiment

 -- Eduard Bloch <blade@debian.org>  Mon, 13 Jan 2003 02:16:43 +0100

obexftp (0.9.4-pre2-2) unstable; urgency=low

  * sorry for the package version number. should have been 0.9.4pre2
    will be cleaned up with 0.9.5
  * Conflict with flexmem to force upgrade to "obexftp".
  * force exact versioned dependencies (Closes: #175762)
  * rename to libobexftp0 which is accurate (no stable API).
  * added shlibs file

  * if any DD is using this software - please adopt this package:
    I don't have a compatible cellular phone myself.

 -- Erich Schubert <erich@debian.org>  Wed, 08 Jan 2003 01:08:48 +0100

obexftp (0.9.4-pre2-1) unstable; urgency=low

  * New upstream vor OpenObex 1.0
  * Build with libopenobex-1.0-0
  * if any DD is using this software - please adopt this package:
    I don't have a compatible cellular phone myself.
  * flexmem renamed to "obexftp" by upstream

 -- Erich Schubert <erich@debian.org>  Thu, 26 Dec 2002 15:12:39 +0100

obexftp (0.9.2-4) unstable; urgency=low

  * Improved package description.

 -- Erich Schubert <erich@debian.org>  Fri,  5 Apr 2002 17:53:25 +0200

obexftp (0.9.2-3) unstable; urgency=low

  * Corrected Section for -dev Package to "devel".

 -- Erich Schubert <erich@debian.org>  Sat, 30 Mar 2002 18:08:19 +0100

obexftp (0.9.2-2) unstable; urgency=low

  * Added Suggests: scmxx to flexmem - Siemens Mobile users will want that.

 -- Erich Schubert <erich@debian.org>  Sat, 30 Mar 2002 12:59:58 +0100

obexftp (0.9.2-1) unstable; urgency=low

  * Initial Release (Closes: #136313).

 -- Erich Schubert <erich@debian.org>  Fri,  1 Mar 2002 11:37:40 +0100
